# Type Alias ViewCfg

type ViewCfg = {
attributes?: any;
configuration?: string | any;
default_render_page?: string;
description?: string;
exttable_name?: string;
id?: number;
is_public?: boolean;
min_role?: number;
name: string;
slug?: any;
table?: AbstractTable;
table_id?: number | null;
table_name?: string;
viewtemplate: string;
}

- Defined in model-abstracts/abstract_view.ts:17

##### Index

### Properties

attributes?
configuration?
default_render_page?
description?
exttable_name?
id?
is_public?
min_role?
name
slug?
table?
table_id?
table_name?
viewtemplate

## Properties

### `Optional` attributes

attributes?: any

- Defined in model-abstracts/abstract_view.ts:31

### `Optional` configuration

configuration?: string | any

- Defined in model-abstracts/abstract_view.ts:26

### `Optional` default_render_page

default_render_page?: string

- Defined in model-abstracts/abstract_view.ts:29

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_view.ts:24

### `Optional` exttable_name

exttable_name?: string

- Defined in model-abstracts/abstract_view.ts:23

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_view.ts:19

### `Optional` is_public

is_public?: boolean

- Defined in model-abstracts/abstract_view.ts:28

### `Optional` min_role

min_role?: number

- Defined in model-abstracts/abstract_view.ts:27

### name

name: string

- Defined in model-abstracts/abstract_view.ts:18

### `Optional` slug

slug?: any

- Defined in model-abstracts/abstract_view.ts:30

### `Optional` table

table?: AbstractTable

- Defined in model-abstracts/abstract_view.ts:22

### `Optional` table_id

table_id?: number | null

- Defined in model-abstracts/abstract_view.ts:21

### `Optional` table_name

table_name?: string

- Defined in model-abstracts/abstract_view.ts:25

### viewtemplate

viewtemplate: string

- Defined in model-abstracts/abstract_view.ts:20